commit:     6ddb223c574297f26bafb8160907c0e6c19715bc
Author:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
AuthorDate: Wed Aug 31 17:55:43 2022 +0000
Commit:     Arthur Zamarin <arthurzam <AT> gentoo <DOT> org>
CommitDate: Wed Aug 31 18:06:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ddb223c

dev-python/requests-mock: add 1.10.0

Signed-off-by: Arthur Zamarin <arthurzam <AT> gentoo.org>

 dev-python/requests-mock/Manifest                  |  1 +
 .../requests-mock/requests-mock-1.10.0.ebuild      | 46 ++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/dev-python/requests-mock/Manifest 
b/dev-python/requests-mock/Manifest
index 34960a2cad41..e39e81034682 100644
--- a/dev-python/requests-mock/Manifest
+++ b/dev-python/requests-mock/Manifest
@@ -1 +1,2 @@
+DIST requests-mock-1.10.0.tar.gz 72627 BLAKE2B 
4ce1838f03b732de4007c2e9b700876dcf8dba0f5eafef1292e0e40ae75e08f9b3bf74c3620d2d762944ccf9af248304929f57a337122b1a69d13355dc3f290e
 SHA512 
873c9b219e2a2360872fac22c83371ce40f4dee45e6a0d40365f4f551271c2168a662dced6e8baad890b1dadfc03d21d4ce013f149d25a42d998af4f4fca2a79
 DIST requests-mock-1.9.3.tar.gz 67988 BLAKE2B 
8ab651adbde9e18370641655589f5d209d2a9ae07d82108c64e4269757217cf01588066ebc3005852cf48527f911d3fb76cedce3e88bc74123db81725b4b5865
 SHA512 
bcded541d78670a1b1fc87f97d35286ab4bafd6946beb9d9b44886454c26a4d8c05834add18914f3f72b1d3c0534311efd1cc80e711b5085eb63053ae24cbb6f

diff --git a/dev-python/requests-mock/requests-mock-1.10.0.ebuild 
b/dev-python/requests-mock/requests-mock-1.10.0.ebuild
new file mode 100644
index 000000000000..8ada267b0ac1
--- /dev/null
+++ b/dev-python/requests-mock/requests-mock-1.10.0.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( pypy3 python3_{8..11} )
+DISTUTILS_USE_PEP517=setuptools
+inherit distutils-r1
+
+DESCRIPTION="Mock out responses from the requests package"
+HOMEPAGE="https://github.com/jamielennox/requests-mock";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+       >=dev-python/requests-2.3[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+       >=dev-python/pbr-0.8[${PYTHON_USEDEP}]
+       test? (
+               dev-python/fixtures[${PYTHON_USEDEP}]
+               dev-python/mock[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+               dev-python/requests-futures[${PYTHON_USEDEP}]
+               dev-python/testtools[${PYTHON_USEDEP}]
+       )
+"
+
+distutils_enable_sphinx doc/source
+distutils_enable_tests pytest
+
+python_prepare_all() {
+       # Disable reno which only works inside a git repository
+       sed -i "s/'reno.sphinxext',//" doc/source/conf.py || die
+       # Remove the release notes section which requires reno
+       rm doc/source/release-notes.rst || die
+       sed -i '/^=============$/,/release-notes/d' doc/source/index.rst || die
+       # Disable a test which requires purl (not in the tree)
+       sed -e "/^import purl$/d" -e "s/test_with_purl/_&/" \
+               -i tests/test_adapter.py || die
+       distutils-r1_python_prepare_all
+}

Reply via email to